<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new DocenteBean();
  
if($txtNombre       !=""){ $o_ObjectBean->setNombre($txtNombre); }
if($txtCodigo       !=""){ $o_ObjectBean->setCodigoDocente($txtCodigo); }
if($txtTipo         !=""){ $o_ObjectBean->setTipoAlumno($txtTipo); }
if($cboFacultad     !=""){ $o_ObjectBean->setFacultadDoc($cboFacultad); }
if($cboEspecialidad !=""){ $o_ObjectBean->setEspecialidadId($cboEspecialidad); }

$o_class = new DocenteBL();
$a_ObjectBean = $o_class->busquedaDocente($o_ObjectBean);
/*****************************************/
//Grados
$o_DocenteSystemClass = new DocenteSystemClass(new GradoBean());
$a_Grado = $o_DocenteSystemClass->getGrado();

$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(200,4,'Listado de Docentes',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',6);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(6,4,'Nro',0,0,'L',1);
$pdf->Cell(10,4,'Código',0,0,'L',1);
$pdf->Cell(55,4,'Nombre',0,0,'L',1);
$pdf->Cell(40,4,'Facultad',0,0,'L',1);
$pdf->Cell(35,4,'Departamento',0,0,'L',1);
$pdf->Cell(20,4,'Grado',0,0,'L',1);
$pdf->Cell(20,4,'Mail',0,1,'L',1);
//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',5);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
    if($count==55){
      $pdf->AddPage();
      
      /*inicio de cabecera*/
      $pdf->SetFont('Arial','B',6);
      $pdf->SetXY(POS_IZQ,20);
      $pdf->SetFillColor(236,235,236);
      $pdf->Cell(6,4,'Nro',0,0,'L',1);
      $pdf->Cell(10,4,'Código',0,0,'L',1);
      $pdf->Cell(55,4,'Nombre',0,0,'L',1);
      $pdf->Cell(40,4,'Facultad',0,0,'L',1);
      $pdf->Cell(35,4,'Departamento',0,0,'L',1);
      $pdf->Cell(20,4,'Grado',0,0,'L',1);
      $pdf->Cell(20,4,'Mail',0,1,'L',1);
      
      $pos   = 26;
      $count = -9;
    }
    $pdf->SetFillColor(254,254,254);
    $pdf->SetFont('Arial','B',5);

    $pdf->SetXY(POS_IZQ,$pos);
    //$pdf->SetFillColor(236,235,236);
    $pdf->Cell(6,4,($i+1),0,0,'L',1);
    $pdf->Cell(10,4,$o_objBean->getCodigoDocente(),0,0,'L',1);
    $pdf->Cell(55,4,substr($o_objBean->getNombre(),0,100),0,0,'L',1);
    $pdf->Cell(40,4,$o_objBean->getFacultadDescrip(),0,0,'L',1);
    $pdf->Cell(35,4,$o_objBean->getDepartamentoDescrip(),0,0,'L',1);
    
    if($o_ObjectBean->getGradoId()){
      foreach ($a_Grado as $iKey => $o_GradoBean){
   		  if($o_GradoBean->getGradoId() == $o_ObjectBean->getGradoId())  $grado = $o_GradoBean->getGradoDescripcion();
      } 
    }else{
      $grado = $o_objBean->getOtroGrado();
    }
    $pdf->Cell(30,4,$grado,0,0,'L',1);
    
    $pdf->Cell(20,4,$o_objBean->getMail(),0,0,'L',1);
       
    
    if(strlen($o_objBean->getTitulo()) > 100){
      $pos=$pos+4;
      $count++;
      $pdf->SetXY(POS_IZQ,$pos);
      /********************************************************************************************/
      $pdf->Cell(10,4,"",0,0,'L',1);
      $pdf->Cell(20,4,"",0,0,'L',1);
      $pdf->Cell(60,4,substr($o_objBean->getNombre(),100,100),0,0,'L',1);
      $pdf->Cell(55,4,"",0,0,'L',1);
      $pdf->Cell(30,4,"",0,0,'L',1);
      $pdf->Cell(20,4,"",0,0,'L',1);
      /********************************************************************************************/
    }
    
    $pos=$pos+4;
    $count++;
    $i++;
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>